---
title: RTCInboundRtpStreamStats.trackId
slug: Web/API/RTCInboundRtpStreamStats/trackId
tags:
  - API
  - Audio
  - Media
  - MediaStreamTrack
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - trackId
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>trackId</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates the {{domxref("RTCStats.id", "id")}} of the {{domxref("RTCReceiverAudioTrackAttachmentStats")}} or {{domxref("RTCReceiverVideoTrackAttachmentStats")}} object representing the {{domxref("MediaStreamTrack")}} which is receiving the incoming media.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackStatsId</em> = <em>rtcInboundRtpStreamStats</em>.trackId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the ID of the {{domxref("RTCReceiverAudioTrackAttachmentStats")}} or {{domxref("RTCReceiverVideoTrackAttachmentStats")}} object representing the track which is receiving the media from this RTP session.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-trackId', 'RTCInboundRtpStreamStats.trackId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.trackId")}}</p>
